%define subrel	2
%define Werror_cflags %nil
# Modules always contain just 32-bit code
%define _libdir %{_exec_prefix}/lib
%ifarch	x86_64
# 64bit intel machines use 32bit boot loader
# (We cannot just redefine _target_cpu, as we'd get i386.rpm packages)
%global _target_platform i386-%{_vendor}-%{_target_os}%{?_gnu}
%global efi_arch x86_64-efi
%else
%global efi_arch i386-efi
%endif

%global pc_arch i386-pc
%define tarver	2.00
%define git	9752
Name:		grub2
Version:	2.02
Release:	%mkrel -c git%{git} 18
Summary:	Boot-loader with support for Linux, Multiboot and more
Group:		System/Boot and Init
License:	GPLv3+ and GPLv2
# unicode font is GPLv2
URL:		http://www.gnu.org/software/grub/
Source0:	ftp://ftp.gnu.org/gnu/grub/grub-%{tarver}.tar.xz
Source1:	90_persistent
Source2:	grub.default
Source3:	README.Mageia
Source4:	README.efi
Source7:	theme.txt
# pf2 fonts may be regenerated in SOURCES using ./mkfonts
Source8:	mkfonts
Source9:	unicode.pf2
Source10:	MageiaLogo-Bold-16.pf2
Source11:	MageiaLogo-Bold-20.pf2
Source12:	MageiaLogo-Bold-28.pf2
Source13:	MageiaLogo-Regular-20.pf2
Source14:	Mageia5-grub2-1024x768.png
Source15:	MageiaLogoFonts-bdf.tar.xz
Source16:	93_memtest

Patch0:		grub2-2.00-bzrignore.patch
# Upstream git snapshot
Patch1:		grub2-2.00-mga-git-9752.patch
# fix CVE-2014-4607 in bundled minilzo
Patch2:		grub-2.00-minilzo.patch
Patch3:		grub2-2.00-mga-grub-mkconfig_lib.in.patch
Patch4:		grub2-2.00-mga-add_failsafe-10_linux.in.patch
# Fedora patches not upstream
#Patch0063:	0063-Add-support-for-linuxefi.patch
Patch0443:	0443-Migrate-PPC-from-Yaboot-to-Grub2.patch
#Patch0448:	0448-Use-linuxefi-and-initrdefi-where-appropriate.patch
Patch0450:	0450-Pass-x-hex-hex-straight-through-unmolested.patch
# Patch to correct Patch0450 - Mga#16672
Patch0500:	0126-Don-t-munge-raw-spaces-when-we-re-doing-our-cmdline-.patch
Patch0451:	0451-Fix-crash-on-http.patch
Patch0460:	0460-blscfg-add-blscfg-module-to-parse-Boot-Loader-Specif.patch
Patch0462:	0462-for-ppc-reset-console-display-attr-when-clear-screen.patch
#Patch0468:	0468-Don-t-write-messages-to-the-screen.patch
Patch0476:	0476-Use-the-correct-indentation-for-the-term-help-text.patch
Patch0479:	0479-Add-support-for-UEFI-operating-systems-returned-by-o.patch

BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	ruby
BuildRequires:	binutils
BuildRequires:	glibc-static-devel
BuildRequires:	ncurses-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	help2man
BuildRequires:	texinfo
BuildRequires:	libdevmapper-devel
BuildRequires:	fuse-devel
BuildRequires:	autogen
BuildRequires:	pkgconfig(liblzma)

Conflicts:	%{name}-efi
Recommends:	os-prober >= 1.53
Recommends:	%{name}-mageia-theme = %{version}-%{release}
Provides:	bootloader
Provides:	grub2bootloader
Recommends:	xorriso

%description
This is the second version of the GRUB (Grand Unified Boot-loader), a highly
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices.
It may be safely installed alongside legacy grub.
Refer to the README.Mageia file that is part of this package's documentation
for more information.

%package efi
Summary:	Boot-loader with support for EFI
Group:		System/Boot and Init

Conflicts:	%{name}
Recommends:	os-prober >= 1.53
Requires(post):	efibootmgr
Recommends:	%{name}-mageia-theme = %{version}-%{release}
Provides:	bootloader
Provides:	grub2bootloader

%description efi
This is the second version of the GRUB (Grand Unified Boot-loader), a highly
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices.
It may be safely installed alongside legacy grub.
Refer to the README.Mageia and README.efi files that are part of this package's 
documentation for more information.

%package mageia-theme
Summary:	Provides a graphical theme with a custom Mageia background for grub2
Group:		System/Boot and Init

Requires:	grub2bootloader
Conflicts:	grub2-mageia3-theme-dejavu
BuildArch:	noarch

%description mageia-theme
This package provides a custom Mageia graphical theme.
It is provided as a separate package so it may be easily excluded from
minimal installations where a graphical theme is not required.

%prep
%setup -q -n grub-%{tarver}

%apply_patches

# README.Mageia
cp %{SOURCE3} .
# README.efi
cp %{SOURCE4} .

cd ..
rm -rf grub-efi-%{tarver}
mv grub-%{tarver} grub-efi-%{tarver}

%setup -q -n grub-%{tarver}

%apply_patches

# README.Mageia
cp %{SOURCE3} .
# README.efi
cp %{SOURCE4} .

%build
cd ..
pushd grub-%{tarver}
./autogen.sh
%configure2_5x TARGET_LDFLAGS=-static			\
	  --with-platform=pc				\
	  --enable-grub-emu-usb				\
	  --disable-werror				\
	  --enable-grub-mkfont				\
	  --program-transform-name=s,grub,%{name},	\
	  --with-bootdir=/boot				\
	  --with-grubdir=/%{name}			\
	  CFLAGS=""
%make
popd

pushd grub-efi-%{tarver}
./autogen.sh
%configure2_5x TARGET_LDFLAGS=-static			\
	  --with-platform=efi				\
%ifarch x86_64
	  --target=x86_64				\
%endif
	  --enable-grub-emu-usb				\
	  --disable-werror				\
	  --enable-grub-mkfont				\
	  --program-transform-name=s,grub,%{name},	\
	  --with-bootdir=/boot				\
	  --with-grubdir=/%{name}			\
	  CFLAGS=""
%make
popd

%install
cd ..
pushd grub-efi-%{tarver}
%makeinstall_std
popd

pushd grub-%{tarver}
%makeinstall_std

# (bor) grub.info is harcoded in sources
mv %{buildroot}%{_infodir}/grub.info %{buildroot}%{_infodir}/%{name}.info

# Script that makes part of grub.cfg persist across updates
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/grub.d

# Memtest
install -m 755 %{SOURCE16} %{buildroot}%{_sysconfdir}/grub.d

# Font
install -d %{buildroot}/boot/%{name}/fonts
install -D %{SOURCE9} %{buildroot}/boot/%{name}/fonts

# Theme
install -d %{buildroot}/boot/%{name}/themes/maggy
install -D %{SOURCE7} %{buildroot}/boot/%{name}/themes/maggy
install -D %{SOURCE10} %{buildroot}/boot/%{name}/themes/maggy
install -D %{SOURCE11} %{buildroot}/boot/%{name}/themes/maggy
install -D %{SOURCE12} %{buildroot}/boot/%{name}/themes/maggy
install -D %{SOURCE13} %{buildroot}/boot/%{name}/themes/maggy
install -D %{SOURCE14} %{buildroot}/boot/%{name}/themes/maggy

# Ghost config files
install -d %{buildroot}/boot/%{name}
touch %{buildroot}/boot/%{name}/grub.cfg

# Workaround for RHL Bug 817187
install -d %{buildroot}%{_datadir}/locale/en/LC_MESSAGES
ln -s %{_datadir}/locale/en@quot/LC_MESSAGES/grub.mo %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/grub.mo

cat > %{buildroot}/boot/%{name}/custom.cfg <<EOF
# Set non-graphical text/background colours
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

# Add any extra custom menu entries in here:

EOF

# Provide 'update-grub' and update-grub2 symlink for *buntu exiles ;) 
cat > %{buildroot}%{_bindir}/update-grub <<EOF
#!/bin/sh
su --login root -c "/usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg"

EOF
chmod +x %{buildroot}%{_bindir}/update-grub
ln -s %{_bindir}/update-grub %{buildroot}%{_bindir}/update-grub2

# Defaults
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/grub

# Remove "GNU/Linux" in menu selections
sed -i 's/ GNU\/Linux//' %{buildroot}%{_sysconfdir}/grub.d/10_linux

%find_lang grub

popd

%post
# On update re-install grub2 to where it was installed by drakboot if possible,
# otherwise next boot may fail due to mismatched boot code.

if [ $1 -eq 2 ]; then
   if [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ]; then
	LOADER=$(/usr/sbin/detectloader)
	[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
   fi
fi


%post efi
# On update re-install grub2 to where it was installed by drakboot if possible,
# otherwise next boot may fail due to mismatched boot code.

if [ $1 -eq 2 ]; then
   if [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ]; then
	LOADER=$(/usr/sbin/detectloader)
	[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
   fi
fi


%post mageia-theme
# Don't install if updating
if [ $1 -eq 1 ] ; then
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=/boot/grub2/themes/maggy/theme.txt" >> %{_sysconfdir}/default/grub
fi

%preun
exec > /var/log/%{name}_preun.log 2>&1
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{pc_arch}
rm -rf /boot/%{name}/locale
fi

%preun efi
exec > /var/log/%{name}_preun.log 2>&1
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{efi_arch}
rm -rf /boot/%{name}/locale
fi

# If updating grub2-efi from version below 2.02-0.git9752.4 then re-generate menu (Mga#13493)
# because Fedora patches to use "linuxefi" have now been removed.
%triggerpostun efi -- %{name}-efi < 2.02-0.git9752.4
%{name}-mkconfig -o /boot/%{name}/grub.cfg

%postun mageia-theme
exec > /var/log/%{name}_theme_postun.log 2>&1
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/maggy\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%files -f grub.lang
%doc COPYING NEWS README THANKS TODO README.Mageia
%{_infodir}/*
%dir %{_libdir}/grub
%dir %{_libdir}/grub/i386-pc
%dir /boot/%{name}
%dir /boot/%{name}/fonts
%dir /boot/%{name}/themes
%{_libdir}/grub/i386-pc/*
%{_bindir}/%{name}-*
%{_bindir}/update-grub
%{_bindir}/update-grub2
%{_sbindir}/%{name}-*
%{_sysconfdir}/bash_completion.d/grub
%{_sysconfdir}/grub.d/README
%{_sysconfdir}/grub.d/00_header
%{_sysconfdir}/grub.d/10_linux
%{_sysconfdir}/grub.d/20_linux_xen
%{_sysconfdir}/grub.d/20_ppc_terminfo
%{_sysconfdir}/grub.d/93_memtest
%{_sysconfdir}/grub.d/30_os-prober
%{_sysconfdir}/grub.d/90_persistent
%config(noreplace) %{_sysconfdir}/grub.d/40_custom
%config(noreplace) %{_sysconfdir}/grub.d/41_custom
%config(noreplace) %{_sysconfdir}/default/grub
%{_datadir}/grub
%config(noreplace) /boot/%{name}/grub.cfg
%config(noreplace) /boot/%{name}/custom.cfg
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man8/%{name}-*.8*

%files efi -f grub.lang
%doc COPYING NEWS README THANKS TODO README.Mageia README.efi
%{_infodir}/*
%dir %{_libdir}/grub
%dir %{_libdir}/grub/%{efi_arch}
%dir /boot/%{name}
%dir /boot/%{name}/fonts
%dir /boot/%{name}/themes
%{_libdir}/grub/%{efi_arch}/*
%{_bindir}/%{name}-*
%{_bindir}/update-grub
%{_bindir}/update-grub2
%{_sbindir}/%{name}-*
%{_sysconfdir}/bash_completion.d/grub
%{_sysconfdir}/grub.d/README
%{_sysconfdir}/grub.d/00_header
%{_sysconfdir}/grub.d/10_linux
%{_sysconfdir}/grub.d/20_linux_xen
%{_sysconfdir}/grub.d/20_ppc_terminfo
%{_sysconfdir}/grub.d/93_memtest
%{_sysconfdir}/grub.d/30_os-prober
%{_sysconfdir}/grub.d/90_persistent
%config(noreplace) %{_sysconfdir}/grub.d/40_custom
%config(noreplace) %{_sysconfdir}/grub.d/41_custom
%config(noreplace) %{_sysconfdir}/default/grub
%{_datadir}/grub
%config(noreplace) /boot/%{name}/grub.cfg
%config(noreplace) /boot/%{name}/custom.cfg
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man8/%{name}-*.8*

%files mageia-theme
/boot/%{name}/fonts/unicode.pf2
%dir /boot/%{name}/themes/maggy
/boot/%{name}/themes/maggy/*


%changelog
* Fri Sep 04 2015 barjac <barjac> 2.02-0.git9752.18.2.mga5
+ Revision: 872671
- Patch to fix Mga#16672
- Dont munge raw spaces when passing kernel parameters

* Tue Apr 14 2015 barjac <barjac> 2.02-0.git9752.18.mga5
+ Revision: 820184
- update README.mageia for no filetriggers
- remove all filetriggers
- stop %%posts failing when grub2 is not bootloader
- update README files

* Mon Apr 13 2015 barjac <barjac> 2.02-0.git9752.17.mga5
+ Revision: 820103
- Add failsafe rather than single in rescue mode Mga#15675
- remove modules part of filetrigger filter (kernel updates) now handled by drakx

* Fri Apr 10 2015 tmb <tmb> 2.02-0.git9752.15.mga5
+ Revision: 820032
- only Recommend xorriso to avoid bloated installs

* Thu Apr 09 2015 tv <tv> 2.02-0.git9752.14.mga5
+ Revision: 819995
- simplify %%post, just rely on /boot/grub2/install.sh (mga#11827)

* Tue Mar 24 2015 tv <tv> 2.02-0.git9752.13.mga5
+ Revision: 819208
- grub2-mkimage needs XZ support

  + barjac <barjac>
    - Add Requires: xorriso for grub2-mkrescue -  mga#15514

* Mon Jan 05 2015 tmb <tmb> 2.02-0.git9752.12.mga5
+ Revision: 808518
- grub2-efi
  * only run post during install, not on upgrade
  * fix installing from live mode

* Mon Jan 05 2015 barjac <barjac> 2.02-0.git9752.11.mga5
+ Revision: 808473
- BOOT_PARTITION was used before being defined in %%post

* Tue Dec 16 2014 barjac <barjac> 2.02-0.git9752.10.mga5
+ Revision: 803582
- update theme for Mageia 5

* Wed Dec 10 2014 barjac <barjac> 2.02-0.git9752.9.mga5
+ Revision: 802633
- added GRUB_CRYPTODISK_ENABLE=y to default config mga#14741
- patch to fix regression when GRUB_CRYPTODISK_ENABLE=y with no encrypted partitions

* Wed Oct 15 2014 umeabot <umeabot> 2.02-0.git9752.8.mga5
+ Revision: 739167
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.02-0.git9752.7.mga5
+ Revision: 679954
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 20 2014 luigiwalser <luigiwalser> 2.02-0.git9752.6.mga5
+ Revision: 666017
- rediff patch from harbour to fix CVE-2014-4607 in bundled minilzo

* Sat Jul 05 2014 pterjan <pterjan> 2.02-0.git9752.5.mga5
+ Revision: 643675
- Replace libusb*-devel BuildRequires by better ones

* Wed Jun 11 2014 barjac <barjac> 2.02-0.git9752.4.mga5
+ Revision: 635563
- drop linuxefi Fedora patches
- drop reverted patch pair
- drop Don-t-write-messages-to-the-screen.patch temporarily
- add versioned rpm trigger to grub2-efi to update grub.cfg when updating from below this version

* Tue Jun 03 2014 tmb <tmb> 2.02-0.git9752.2.mga5
+ Revision: 632621
- re-add support for linuxefi target

* Sun Jun 01 2014 barjac <barjac> 2.02-0.git9752.1.mga5
+ Revision: 629976
- new git snapshot
- fix mga 12423 for most cases
- fix typos in readme
- remove upstreamed patches

* Tue Mar 18 2014 pterjan <pterjan> 2.00-59.mga5
+ Revision: 605125
- Fix build

* Sun Jan 05 2014 ennael <ennael> 2.00-58.mga4
+ Revision: 564767
- rename background file
- rename Mageia background image
- Mageia 4 design

* Wed Nov 13 2013 barjac <barjac> 2.00-57.mga4
+ Revision: 550910
- remove Fedora patches that affect text only menu layout

* Tue Nov 12 2013 barjac <barjac> 2.00-56.mga4
+ Revision: 550657
- add Fedora patches not applied upstream
- drop virtual provide on theme

* Sun Nov 10 2013 tmb <tmb> 2.00-55.mga4
+ Revision: 550414
- grub2-mageia-theme: dont conflict own virtual provide

* Sat Nov 09 2013 barjac <barjac> 2.00-54.mga4
+ Revision: 550058
- git snapshot
- add GRUB_DISABLE_SUBMENU to etc/default/grub as example (no change to default)

* Tue Nov 05 2013 tmb <tmb> 2.00-53.mga4
+ Revision: 549704
- fix install from live mode

* Tue Nov 05 2013 barjac <barjac> 2.00-52.mga4
+ Revision: 549519
- re-install grub2 on updates if drakboot.conf exists

* Sat Oct 26 2013 tmb <tmb> 2.00-51.mga4
+ Revision: 547151
- have grub2-efi require efibootmgr for more automated install

* Mon Oct 21 2013 umeabot <umeabot> 2.00-50.mga4
+ Revision: 539292
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 barjac <barjac> 2.00-49.mga4
+ Revision: 491788
- fix mga#11168 (remove linux)

* Thu Jul 04 2013 barjac <barjac> 2.00-48.mga4
+ Revision: 450000
- remove virtual provides versioning
- make theme package noarch
- add provides/conflicts grub2theme to allow other themes
- just remove old theme from config
- own theme sub dir and remove it from postun

* Mon Jul 01 2013 barjac <barjac> 2.00-47.mga4
+ Revision: 449511
- improve appearance of non-themed text menu with Mageia-ish colours

* Thu May 23 2013 barjac <barjac> 2.00-46.mga4
+ Revision: 425400
- revert previous commit

* Wed May 08 2013 barjac <barjac> 2.00-45.mga3
+ Revision: 412632
- remove filetrigger for kernel updates as this should now be handled by bootloader
- remove memtest support until after mga3 release

* Mon May 06 2013 barjac <barjac> 2.00-44.mga3
+ Revision: 412411
- put memtest always at bottom of menu

* Mon May 06 2013 barjac <barjac> 2.00-43.mga3
+ Revision: 412404
- add support for memtest86+ mga#9991
- revert %%post removal in prev commit

* Sat May 04 2013 barjac <barjac> 2.00-42.mga3
+ Revision: 412225
- remove %%post
- remove require on mageia-theme

* Sun Mar 24 2013 barjac <barjac> 2.00-41.mga3
+ Revision: 404821
- include tarball of master bdf fonts
- update mkfonts script to make needed pf2 fonts from bdf tarball
- updated theme fonts to fix some glyphs
- thanks to diogenese for work on unofficial MageiaLogo font
- update fonts

* Fri Mar 22 2013 barjac <barjac> 2.00-40.mga3
+ Revision: 404429
- fix update-grub env so os-prober can find blkid

* Mon Mar 18 2013 barjac <barjac> 2.00-39.mga3
+ Revision: 403927
- switch to mageia 3 theme background

* Mon Mar 11 2013 barjac <barjac> 2.00-38.mga3
+ Revision: 402075
- change theme font to MageiaLogo
- corrections and improvements to README.Mageia

* Thu Mar 07 2013 barjac <barjac> 2.00-37.mga3
+ Revision: 401594
- move theme background image into package as it will be for mga3 release

* Tue Mar 05 2013 tv <tv> 2.00-36.mga3
+ Revision: 401431
- only update grub2.cfg if already existing
- no need for bash

* Mon Mar 04 2013 barjac <barjac> 2.00-35.mga3
+ Revision: 401408
- correct path

* Wed Feb 27 2013 barjac <barjac> 2.00-34.mga3
+ Revision: 400520
- set default timeout to 10 seconds

* Mon Feb 25 2013 barjac <barjac> 2.00-33.mga3
+ Revision: 400332
- add update-grub & update-grub2 (symlink)
- update README.Mageia for above
- add note in /etc/default/grub
- no need to patch aclocal.m4
- patch13 to fix autoreconf AM_PROG_MKDIR_P warnings

* Sat Feb 23 2013 barjac <barjac> 2.00-32.mga3
+ Revision: 400190
- revert to using unicode font for terminal
- remove make tarball script
- remove 7x13.pf2 font file
- modify mkfonts script to not make 7x13.pf2
- re-enumerate sources

* Sat Feb 23 2013 barjac <barjac> 2.00-31.mga3
+ Revision: 400102
- improved workaround for RHL Bug 817187, removing it from %%post

* Fri Feb 22 2013 barjac <barjac> 2.00-30.mga3
+ Revision: 400001
- suppress error message on minimal install with --no-suggests #9148

* Wed Feb 20 2013 tv <tv> 2.00-29.mga3
+ Revision: 399495
- do not package huge ChangeLog

* Mon Feb 18 2013 barjac <barjac> 2.00-28.mga3
+ Revision: 399253
- clean up files
- add -n (no-clobber) to prevoius cp workaround for when this is fixed upstream

* Sat Feb 16 2013 barjac <barjac> 2.00-27.mga3
+ Revision: 398620
- Workaround for RHL Bug 817187

* Sun Feb 10 2013 barjac <barjac> 2.00-26.mga3
+ Revision: 397694
- run autogen.sh in both build trees

* Sun Feb 10 2013 pterjan <pterjan> 2.00-25.mga3
+ Revision: 397685
- Fix parallel build

* Sun Feb 10 2013 barjac <barjac> 2.00-24.mga3
+ Revision: 397678
- try non-parallel build
- forgot to apply all patches to both builds

* Sat Feb 09 2013 barjac <barjac> 2.00-23.mga3
+ Revision: 397663
- cherry picked patches from Fedora

* Sat Feb 09 2013 barjac <barjac> 2.00-22.mga3
+ Revision: 397534
- improved handling of theme addition/removal from /etc/default/grub
- fixes bug where someone has removed linefeed from file end or has commented the THEME= line

* Fri Feb 08 2013 barjac <barjac> 2.00-21.mga3
+ Revision: 397190
- update theme with new font
- add custom.cfg
- new mkfonts script
- re-enumerated sources
- cleaned GNU/Linux from cluttering menus
- matched font colours to Mageia logo
- make grub2-efi also own /boot/grub2 ;)

* Fri Feb 08 2013 tmb <tmb> 2.00-20.mga3
+ Revision: 397106
- own /boot/grub2 dir too

* Thu Feb 07 2013 barjac <barjac> 2.00-19.mga3
+ Revision: 395043
- added warning note inside /etc/default/grub

* Wed Feb 06 2013 barjac <barjac> 2.00-18.mga3
+ Revision: 394991
- split out theme into separate package
- theme now Suggested
- os-prober and theme addition/removal handled by filetriggers
- updated README.Mageia to reflect above changes
- added option for disabling os-prober to /etc/default/grub

* Mon Feb 04 2013 barjac <barjac> 2.00-17.mga3
+ Revision: 394533
- os-prober should be Suggests

* Mon Jan 28 2013 barjac <barjac> 2.00-16.mga3
+ Revision: 392864
- edited help text in boot screen

* Fri Jan 25 2013 barjac <barjac> 2.00-15.mga3
+ Revision: 392262
- force copy of theme b/g for updates

* Thu Jan 24 2013 barjac <barjac> 2.00-14.mga3
+ Revision: 391754
- copy theme b/g to /boot when /boot is on separate partition in case / is encrypted

* Sun Jan 20 2013 barjac <barjac> 2.00-13.mga3
+ Revision: 390289
- update group

* Wed Jan 16 2013 barjac <barjac> 2.00-12.mga3
+ Revision: 388457
- add provides bootloader to both packages
- add suggests mageia-theme to -efi package

* Sat Jan 12 2013 umeabot <umeabot> 2.00-11.mga3
+ Revision: 352682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 barjac <barjac> 2.00-10.mga3
+ Revision: 334731
- updated description and README.Mageia

* Mon Dec 17 2012 tv <tv> 2.00-9.mga3
+ Revision: 331864
- fix build with official version
- use official tarball (which includes translations)

* Sat Dec 15 2012 tv <tv> 2.0-8.mga3
+ Revision: 331059
- suggests instead of requiring mageia-theme

* Sat Dec 15 2012 tv <tv> 2.0-7.mga3
+ Revision: 331055
- requires mageia-theme (else image symlink is broken for graphical grub)

* Thu Nov 15 2012 barjac <barjac> 2.0-6.mga3
+ Revision: 318311
- corrected url
- minor edits in desription and README.Mageia

* Wed Oct 10 2012 barjac <barjac> 2.0-5.mga3
+ Revision: 304517
- Fix i586 build with configure2_5x

* Sun Sep 30 2012 barjac <barjac> 2.0-4.mga3
+ Revision: 300624
- Changed group in line with new policy

* Mon Sep 17 2012 barjac <barjac> 2.0-3.mga3
+ Revision: 295597
- patch to fix build against glibc-2.16
- improved description

* Fri Jun 29 2012 barjac <barjac> 2.0-2.mga3
+ Revision: 265181
- New version final release of v2.0
- Removed revision from filename as this is a release
- Added Suggests on efibootmgr
- Moved files efi to end of spec
- Removed README.efi from grub2 rpm
- Added explanation about -efi rpm to README.Mageia
- Changed var name in grub.default as changed upstream

* Sun Jun 03 2012 barjac <barjac> 2.0-1.4412.mga3
+ Revision: 253509
- Updated README.efi
- Updated revision
- Fixed updates deleting files in preun
- Removed redundant code in install section
- Corrected minor scripting error in mk_tar_from_grub_trunk

* Tue May 29 2012 barjac <barjac> 2.0-1.4379.mga3
+ Revision: 248863
- Removed dot from one summary
- imported package grub2

